Enchant Generic spell checking library

Public Attributes | List of all members
str_enchant_dict Struct Reference

## Public Attributes
void * | user_data
void * | enchant_private_data
int(* | check )(struct str_enchant_dict *me, const char *const word, size_t len)
char **(* | suggest )(struct str_enchant_dict *me, const char *const word, size_t len, size_t *out_n_suggs)
void(* | add_to_session )(struct str_enchant_dict *me, const char *const word, size_t len)
void(* | remove_from_session )(struct str_enchant_dict *me, const char *const word, size_t len)
const char *(* | get_extra_word_characters )(struct str_enchant_dict *me)
int(* | is_word_character )(struct str_enchant_dict *me, uint32_t uc_in, size_t n)

The documentation for this struct was generated from the following file:

- src/enchant-provider.h